published on Friday, Feb 20, 2026 by stackitcloud
published on Friday, Feb 20, 2026 by stackitcloud
Folder Role Assignment resource schema.
This resource is part of the iam experiment and is likely going to undergo significant changes or be removed in the future. Use it at your own discretion.
Example Usage
resource "stackit_resourcemanager_folder" "example" {
name = "example_folder"
owner_email = "foo.bar@stackit.cloud"
# in this case a org-id
parent_container_id = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
resource "stackit_authorization_folder_role_assignment" "fra" {
resource_id = stackit_resourcemanager_folder.example.folder_id
role = "reader"
subject = "foo.bar@stackit.cloud"
}
# Only use the import statement, if you want to import an existing folder role assignment
import {
to = stackit_authorization_folder_role_assignment.import-example
id = "${var.folder_id},${var.folder_role_assignment},${var.folder_role_assignment_subject}"
}
Create AuthorizationFolderRoleAssignment Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AuthorizationFolderRoleAssignment(name: string, args: AuthorizationFolderRoleAssignmentArgs, opts?: CustomResourceOptions);@overload
def AuthorizationFolderRoleAssignment(resource_name: str,
args: AuthorizationFolderRoleAssignmentArgs,
opts: Optional[ResourceOptions] = None)
@overload
def AuthorizationFolderRoleAssignment(resource_name: str,
opts: Optional[ResourceOptions] = None,
resource_id: Optional[str] = None,
role: Optional[str] = None,
subject: Optional[str] = None)func NewAuthorizationFolderRoleAssignment(ctx *Context, name string, args AuthorizationFolderRoleAssignmentArgs, opts ...ResourceOption) (*AuthorizationFolderRoleAssignment, error)public AuthorizationFolderRoleAssignment(string name, AuthorizationFolderRoleAssignmentArgs args, CustomResourceOptions? opts = null)
public AuthorizationFolderRoleAssignment(String name, AuthorizationFolderRoleAssignmentArgs args)
public AuthorizationFolderRoleAssignment(String name, AuthorizationFolderRoleAssignmentArgs args, CustomResourceOptions options)
type: stackit:AuthorizationFolderRoleAssignment
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args AuthorizationFolderRoleAssignmentArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AuthorizationFolderRoleAssignmentArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AuthorizationFolderRoleAssignmentArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AuthorizationFolderRoleAssignmentArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AuthorizationFolderRoleAssignmentArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var authorizationFolderRoleAssignmentResource = new Stackit.AuthorizationFolderRoleAssignment("authorizationFolderRoleAssignmentResource", new()
{
ResourceId = "string",
Role = "string",
Subject = "string",
});
example, err := stackit.NewAuthorizationFolderRoleAssignment(ctx, "authorizationFolderRoleAssignmentResource", &stackit.AuthorizationFolderRoleAssignmentArgs{
ResourceId: pulumi.String("string"),
Role: pulumi.String("string"),
Subject: pulumi.String("string"),
})
var authorizationFolderRoleAssignmentResource = new AuthorizationFolderRoleAssignment("authorizationFolderRoleAssignmentResource", AuthorizationFolderRoleAssignmentArgs.builder()
.resourceId("string")
.role("string")
.subject("string")
.build());
authorization_folder_role_assignment_resource = stackit.AuthorizationFolderRoleAssignment("authorizationFolderRoleAssignmentResource",
resource_id="string",
role="string",
subject="string")
const authorizationFolderRoleAssignmentResource = new stackit.AuthorizationFolderRoleAssignment("authorizationFolderRoleAssignmentResource", {
resourceId: "string",
role: "string",
subject: "string",
});
type: stackit:AuthorizationFolderRoleAssignment
properties:
resourceId: string
role: string
subject: string
AuthorizationFolderRoleAssignment Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AuthorizationFolderRoleAssignment resource accepts the following input properties:
- Resource
Id string - folder Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- Resource
Id string - folder Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - folder Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id string - folder Resource to assign the role to.
- role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource_
id str - folder Resource to assign the role to.
- role str
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject str
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - folder Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
Outputs
All input properties are implicitly available as output properties. Additionally, the AuthorizationFolderRoleAssignment resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing AuthorizationFolderRoleAssignment Resource
Get an existing AuthorizationFolderRoleAssignment resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AuthorizationFolderRoleAssignmentState, opts?: CustomResourceOptions): AuthorizationFolderRoleAssignment@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
resource_id: Optional[str] = None,
role: Optional[str] = None,
subject: Optional[str] = None) -> AuthorizationFolderRoleAssignmentfunc GetAuthorizationFolderRoleAssignment(ctx *Context, name string, id IDInput, state *AuthorizationFolderRoleAssignmentState, opts ...ResourceOption) (*AuthorizationFolderRoleAssignment, error)public static AuthorizationFolderRoleAssignment Get(string name, Input<string> id, AuthorizationFolderRoleAssignmentState? state, CustomResourceOptions? opts = null)public static AuthorizationFolderRoleAssignment get(String name, Output<String> id, AuthorizationFolderRoleAssignmentState state, CustomResourceOptions options)resources: _: type: stackit:AuthorizationFolderRoleAssignment get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Resource
Id string - folder Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- Resource
Id string - folder Resource to assign the role to.
- Role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - Subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - folder Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id string - folder Resource to assign the role to.
- role string
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject string
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource_
id str - folder Resource to assign the role to.
- role str
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject str
- Identifier of user, service account or client. Usually email address or name in case of clients
- resource
Id String - folder Resource to assign the role to.
- role String
- Role to be assigned. Available roles can be queried using stackit-cli:
stackit curl https://authorization.api.stackit.cloud/v2/permissions - subject String
- Identifier of user, service account or client. Usually email address or name in case of clients
Package Details
- Repository
- stackit stackitcloud/pulumi-stackit
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
stackitTerraform Provider.
published on Friday, Feb 20, 2026 by stackitcloud
